Volume Groups - List By NetApp Account

List all volume groups for given account

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.NetApp/netAppAccounts/{accountName}/volumeGroups?api-version=2026-03-01

URI Parameters

Name In Required Type Description
accountName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9\-_]{0,127}$

The name of the NetApp account

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

VolumeGroupList

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

VolumeGroups_List_Oracle
VolumeGroups_List_SapHana

VolumeGroups_List_Oracle

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myRG/providers/Microsoft.NetApp/netAppAccounts/account1/volumeGroups?api-version=2026-03-01

Sample response

{
  "value": [
    {
      "name": "group1",
      "type": "Microsoft.NetApp/netAppAccounts/volumeGroups",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myRG/providers/Microsoft.NetApp/netAppAccounts/account1/volumeGroups/group1",
      "location": "eastus",
      "properties": {
        "groupMetaData": {
          "applicationIdentifier": "DEV",
          "applicationType": "ORACLE",
          "groupDescription": "Volume group",
          "volumesCount": 12
        },
        "provisioningState": "Succeeded"
      }
    }
  ]
}

VolumeGroups_List_SapHana

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myRG/providers/Microsoft.NetApp/netAppAccounts/account1/volumeGroups?api-version=2026-03-01

Sample response

{
  "value": [
    {
      "name": "group1",
      "type": "Microsoft.NetApp/netAppAccounts/volumeGroups",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myRG/providers/Microsoft.NetApp/netAppAccounts/account1/volumeGroups/group1",
      "location": "eastus",
      "properties": {
        "groupMetaData": {
          "applicationIdentifier": "SH9",
          "applicationType": "SAP-HANA",
          "groupDescription": "Volume group",
          "volumesCount": 5
        },
        "provisioningState": "Succeeded"
      }
    }
  ]
}

Definitions

Name Description
ApplicationType

Application Type

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

PlacementKeyValuePairs

Application specific parameters for the placement of volumes in the volume group

VolumeGroup

Volume group resource

VolumeGroupList

List of volume group resources

VolumeGroupMetaData

Volume group properties

ApplicationType

Application Type

Value Description
SAP-HANA
ORACLE

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

PlacementKeyValuePairs

Application specific parameters for the placement of volumes in the volume group

Name Type Description
key

string

Key for an application specific parameter for the placement of volumes in the volume group

value

string

Value for an application specific parameter for the placement of volumes in the volume group

VolumeGroup

Volume group resource

Name Type Description
id

string

Resource Id

location

string

Resource location

name

string

Resource name

properties.groupMetaData

VolumeGroupMetaData

Volume group details

properties.provisioningState

string

Azure lifecycle management

type

string

Resource type

VolumeGroupList

List of volume group resources

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

VolumeGroup[]

The VolumeGroup items on this page

VolumeGroupMetaData

Volume group properties

Name Type Description
applicationIdentifier

string

Application specific identifier

applicationType

ApplicationType

Application Type

globalPlacementRules

PlacementKeyValuePairs[]

Application specific placement rules for the volume group

groupDescription

string

Group Description

volumesCount

integer (int64)

Number of volumes in volume group